#!/bin/sh

SUFFIX=$(date +%s)

# Clear output directory
rm -Rf pdf
mkdir pdf

# First use xmllint to resolve xinclude references
xmllint --xinclude documentation/Index.xml > documentation/xmllinttmp_${SUFFIX}.xml

# Now generate the FO file
java -Dxslthl.config=file://`pwd`/xslthl-2.0.1/highlighters/xslthl-config.xml \
	-classpath ./saxon6-5-5/saxon.jar:./docbook-xsl-ns/extensions/saxon65.jar:./xslthl-2.0.1/xslthl-2.0.1.jar \
	com.icl.saxon.StyleSheet -o pdf/out_saxon.fo \
		documentation/xmllinttmp_${SUFFIX}.xml documentation-pdf.xsl \
		use.extensions=1 textinsert.extension=1 tablecolumns.extension=1

# Create the PDF file
fop -d -c fop-config.xml pdf/out_saxon.fo pdf/out_saxon.pdf

# Remove the temporary files
rm documentation/xmllinttmp_${SUFFIX}.xml
rm pdf/out_saxon.fo
